Bug 218097 - NetLabel bugs, performance, and cleanups
NetLabel bugs, performance, and cleanups
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Paris
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-12-01 14:47 EST by Eric Paris
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-19 08:48:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2006-12-01 14:47:57 EST
Patches 1-12 of http://www.mail-archive.com/netdev@vger.kernel.org/msg26592.html

6,8,11,12 bugs
2,3,4,5,10 performance
1,7,9 cleanup
Comment 1 RHEL Product and Program Management 2006-12-04 09:35:04 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 Don Zickus 2006-12-05 14:49:25 EST
in 2.6.18-1.2817.el5
Comment 3 Jay Turner 2007-01-10 22:03:43 EST
Need more details about what's actually changing, what testing has been done,
what testing still needs to be done and business impact of these patches.
Comment 4 Jay Turner 2007-01-19 05:50:04 EST
Eric, ping?
Comment 5 Eric Paris 2007-01-19 08:42:10 EST
These patches did a number of things.  Trying to recall the first set corrected
2 panics and a mislabeling problem.  The performance set changed a fair bit of
locking to lower the overhead associated with both labeled and more importantly
to lower the overhead of the unlabled case.  The third patch set just was code
cleanup to bring NetLabel in line with upstream and to include infrastructure
for future work.

All of these patches were tested by HP as a part of the LSPP effort to verify
they solved all of the known issues (at that time) with regards to
netlabel/CIPSO.  The "bugs" set of patches is absolutly required for LSPP to
complete.  The performance wasn't absolutly required but it makes things more
palatable.  the cleanup was just that and didn't need any new testing.
Comment 6 Jay Turner 2007-01-19 08:48:37 EST
Closing out, as this kernel has been in a couple of official builds now.

Note You need to log in before you can comment on or make changes to this bug.